[问题]安装MPlayer时出现依赖错误

Totem,mplayer,sopcast,realplayer,bmp
回复
wnqd
帖子: 2
注册时间: 2007-02-11 22:01
送出感谢: 0
接收感谢: 0

[问题]安装MPlayer时出现依赖错误

#1

帖子 wnqd » 2007-02-11 22:05

大家好,请教一个问题,安装MPlayer时系统信息:

root@Alpha:~# sudo apt-get install mplayer
Reading package lists... Done
Building dependency tree
Reading state information... Done
mplayer is already the newest version.
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
mplayer: Depends: libartsc0 (>= 1.5.0-1) but it is not installable
Depends: libdvdread3 (>= 0.9.6) but it is not installable
Depends: libfaac0 (>= 1.24clean) but it is not installable
Depends: libggi2 (>= 1:2.2.1) but it is not installable
Depends: liblame0 (>= 3.96.1) but it is not installable
Depends: libmp4v2-0 (>= 2.0.0+cvs20040908+mp4v2+bmp) but it is not installable
Depends: libmpcdec3 but it is not installable
Depends: libungif4g (>= 4.1.3) but it is not installable
Depends: libxvidcore4 (>= 1:1.0.0-0.0) but it is not installable
Depends: libxvmc1 but it is not installable
Depends: mplayer-skins but it is not installable
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

请问如果这样安装:
apt-get -f install mplayer
会不会有问题?


谢谢!
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2007-02-12 3:54

换源
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
taizitju
帖子: 63
注册时间: 2006-04-14 19:42
送出感谢: 0
接收感谢: 0

#3

帖子 taizitju » 2007-02-15 20:46

劝你别弄这个玩意儿了
这个玩意儿不好用
有时间多用点命令行的的mplayer
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#4

帖子 yohu » 2007-02-15 22:40

ls,命令行不也得这么装么? :lol:

楼主应该是源没有设置好,正常情况下是不会出现这样的情况的,去wiki对照一下快速设置指南里面源的设置。
拥有超级牛力的搜索引擎:
http://www.google.com/linux
http://www.google.com/
头像
trigger
帖子: 1585
注册时间: 2006-10-25 18:08
送出感谢: 0
接收感谢: 0

#5

帖子 trigger » 2007-02-21 21:44

我奇怪楼主怎么是ROOT用户
回复

回到 “影音多媒体”